Control APIAPI 레퍼런스Apps

App의 프로덕션 배포를 변경합니다.

베타 API

Control API의 /v1 계약은 변경될 수 있으며, 호환되지 않는 변경도 별칭 없이 배포될 수 있습니다.

PATCH/v1/apps/{appId}

팀 owner 또는 member가 배포를 프로덕션으로 승격합니다. productionDeploymentId를 null로 지정하면 포인터를 해제합니다. CLI: ntro promote. 이메일 인증을 완료한 사용자만 사용할 수 있습니다.

인증

bearerAuth
인증Bearer <token>

Identity access JWT 또는 ntro_ API token을 사용합니다. token 관리 경로는 Identity access JWT만 허용합니다.

위치: header

경로 매개변수

appId*string

요청 본문

application/json

TypeScript 타입 정의

Use the request body type in TypeScript.

응답 본문

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/apps/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "app": {    "createdAt": "string",    "hostname": "string",    "id": "string",    "latestDeployment": {      "createdAt": "string",      "id": "string",      "shortId": "string",      "status": "string",      "target": "string"    },    "productionDeploymentId": "string",    "productionPreview": {      "capturedAt": "string",      "image": {        "token": "string",        "version": "string"      },      "status": "string"    },    "purgeGeneration": 0,    "slug": "string",    "suspendedAt": "string",    "suspensionReason": "string",    "team_id": "string"  }}